Bug 207430 - perl-LDAP should require perl(IO::Socket::SSL)
Summary: perl-LDAP should require perl(IO::Socket::SSL)
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-LDAP (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-21 01:29 UTC by Robin Norwood
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-03 16:26:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Enables LDAPS (2.13 KB, patch)
2006-09-21 10:32 UTC, Jose Pedro Oliveira
no flags Details | Diff

Description Robin Norwood 2006-09-21 01:29:05 UTC
perl-LDAP needs perl(IO::Socket::SSL) for some functions - for example:

Right now trying to use smbldap-tools results in this error:

Can't locate IO/Socket/SSL.pm in @INC (@INC contains: /usr/sbin/
(etc...)

See bug #122066, specifically comment #10 for more info.

Comment 1 Jose Pedro Oliveira 2006-09-21 10:32:07 UTC
Created attachment 136839 [details]
Enables LDAPS

Changelog
* Adds perl(IO::Socket::SSL) to the build requirements list
* Adds perl(IO::Socket::SSL) to the requirements list
* Clears the lib/Net/LDAP/DSML.pm executable permission
* Corrects the last changelog entry
* A couple of other minor changes

Comment 2 Robin Norwood 2006-09-24 16:00:51 UTC
Thanks for the patch, Jose!  I'll see about rolling it out tomorrow when I'm in
the office.

Comment 3 Robin Norwood 2006-10-03 16:26:08 UTC
Oops - the new version (perl-LDAP-0.33-3.fc6) has been in for awhile, but I
neglected to update the bug.


Note You need to log in before you can comment on or make changes to this bug.